#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(NULL);
    int n, q;
    cin>>n>>q;
    vector<int> a;
    for(int i=0;i<n;i++)
    {
        int x;
        cin>>x;
        a.push_back(x);
    }
    sort(a.begin(), a.end());
    int med = a[n/2];

    for(int i=0;i<q;i++)
    {
        int x;
        cin>>x;
        if(med==x)
            cout<<0<<'\n';
        else
        {
            int b, d;
            if(x<med)
            {
                b = (upper_bound(a.begin(), a.end(), x)-1)-a.begin();
                d = n/2 - b;
            }
            else
            {
                b = lower_bound(a.begin(), a.end(), x)-a.begin();
                d = b - n/2;
            }
            cout<<d*2-n%2<<'\n';
        }
    }
    return 0;
}